<template>
  <nut-dialog
    title="请核对充值信息并支付"
    v-model:visible="visible"
    custom-class="confirm-dialog-wrapper"
  >
    <div class="confirm-dialog-content">
      <div class="confirm-dialog-content-tips">
        <slot name="tips">
          该产品为慢充模式，0-24小时内到账，介意请勿付款！ 充值前请仔细阅读充值须知！
        </slot>
      </div>
      <div class="confirm-dialog-content-info-wrapper">
        <div class="confirm-dialog-content-info-cic"></div>
        <div class="confirm-dialog-content-info">
          <slot name="info"></slot>
        </div>
      </div>

      <div class="confirm-dialog-content-warning">
        <slot name="warning">
          同一号码充值期间，未到账前切勿在其他任何平台再次充值。因此造成的资金损失须用户自行承担！！！
        </slot>
      </div>
    </div>
  </nut-dialog>
</template>

<script setup lang="ts">
import { Dialog as NutDialog } from '@nutui/nutui-taro';

defineOptions({
  name: 'ConfirmDialog',
});

// type Props = {};

// const props = withDefaults(defineProps<Props>(), {});

const visible = defineModel<boolean>('visible');
</script>
